Bug 439459 - get-update-detail is sloooow
get-update-detail is sloooow
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-28 14:44 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-23 23:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-28 14:44:14 EDT
Description of problem:

Multiple seconds; if the metadata is current, there's no reason this should take
this long.

Version-Release number of selected component (if applicable):

Comment 1 Richard Hughes 2008-03-28 14:46:45 EDT
Could you grab the output of "pkcon --verbose get updates" pls, thanks. You
might need to kill packagekitd as it caches them after the first run.
Comment 2 Bill Nottingham 2008-03-28 15:00:57 EDT
Oops, fixing subject. Does that change the request?
Comment 3 Richard Hughes 2008-03-28 16:27:17 EDT
Yes. How long does it take -- it's sub 1 second for me?
Comment 4 Bill Nottingham 2008-03-28 16:36:55 EDT
A few seconds; tends to be really bad when multiple requests pile up.
Comment 5 Jesse Keating 2008-03-28 16:41:40 EDT
For me clicking on a single update it was an 8 second wait.
Comment 6 Adam Huffman 2008-04-05 07:48:15 EDT
I've just had to wait about three minutes while the get-update-detail process
caught up with my having scrolled through the list of updates.
Comment 7 Richard Hughes 2008-04-18 08:34:13 EDT
Jesse, when it takes ~10 seconds, is it downloading new metadata? Are you using
a koji repo?
Comment 8 Bug Zapper 2008-05-14 04:22:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 9 Richard Hughes 2008-07-04 05:51:58 EDT
Can you guys test the PK in rawhide pls? It should be a lot better. Thanks.
Comment 10 David Nalley 2008-08-23 23:13:00 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.


Note You need to log in before you can comment on or make changes to this bug.